%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define pkgname GnuPGInterface

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>
Summary:	A Python module to interface with GnuPG
Name:		python26-gnupginterface
Version:	0.3.2
Release:	1
BuildArch:	noarch
License:	LGPLv2+
Group:		Development/Languages
URL:		http://py-gnupg.sourceforge.net/
Source:		http://downloads.sourceforge.net/py-gnupg/%{pkgname}-%{version}.tar.gz
BuildRequires:	python26-devel

%description
GnuPGInterface is a Python module to interface with GnuPG. It
concentrates on interacting with GnuPG via filehandles, providing
access to control GnuPG via versatile and extensible means.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Correct some permissions
chmod 644 ChangeLog COPYING NEWS THANKS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS THANKS
%{python_sitelib}/%{pkgname}*

%changelog
* Tue Dec 01 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.2-1
- Initial CCux package release
